Results 1 to 5 of 5

Thread: Vitual Machine Manager

  1. #1
    Join Date
    Jul 2010
    Location
    Newark UK
    Posts
    5

    Default Vitual Machine Manager

    Hi
    I have installed the KVM hypervisor tools and created a windowsxp virtual machine through Yast. When I click on Virtual Machine manager I get the following error message:

    Error starting Virtual Machine Manager: could not import gobject (could not find _PyGObject_API object)

    With details:

    Traceback (most recent call last):
    File "/usr/share/virt-manager/virt-manager.py", line 420, in <module>
    main()
    File "/usr/share/virt-manager/virt-manager.py", line 347, in main
    from virtManager.engine import vmmEngine
    File "/usr/share/virt-manager/virtManager/engine.py", line 41, in <module>
    from virtManager.details import vmmDetails
    File "/usr/share/virt-manager/virtManager/details.py", line 33, in <module>
    from virtManager.console import vmmConsolePages
    File "/usr/share/virt-manager/virtManager/console.py", line 27, in <module>
    import gtkvnc
    ImportError: could not import gobject (could not find _PyGObject_API object)

    Has anyone any idea how I correct this error?

    Thanks

    Michael

    openSuse 11.4 64 bit

  2. #2

    Default Re: Vitual Machine Manager

    Code:
    xdg-su -c 'dbus-launch /usr/bin/virt-manager'

  3. #3
    Join Date
    Jul 2010
    Location
    Newark UK
    Posts
    5

    Default Re: Vitual Machine Manager

    Thanks please_try_again but this gave me the same error message.

    Michael

  4. #4
    Join Date
    Jun 2008
    Location
    Delta Quadrant
    Posts
    1,442

    Default Re: Vitual Machine Manager

    Is libvirtd running? Go into YaST and check in the Runlevel settings. Make
    sure it is enabled.


  5. #5

    Default Re: Vitual Machine Manager

    The issue you're describing looks pretty much like the dbus connection failure I got in some cases while trying to launch virt-manager as root - because normal users could not connect to libvirt. I'll suggest fixing this problem first: users are not able to connect to libvirt (polkit issue).

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •